Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QCoreApplication

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QCoreApplication class reference

### Public Functions

- QTextCodec * defaultCodec () const `(obsolete)`
- int enter_loop () `(obsolete)`
- void exit_loop () `(obsolete)`
- int loopLevel () const `(obsolete)`
- void processOneEvent () `(obsolete)`
- void setDefaultCodec ( QTextCodec * codec ) `(obsolete)`

## Member Function Documentation

### QTextCodec * QCoreApplication::defaultCodec () const

Returns QTextCodec::codecForTr().

### int QCoreApplication::enter_loop ()

This function enters the main event loop (recursively). Do not call it unless you really know what you are doing.

### void QCoreApplication::exit_loop ()

This function exits from a recursive call to the main event loop. Do not call it unless you are an expert.

### int QCoreApplication::loopLevel () const

Returns the current loop level.

### void QCoreApplication::processOneEvent ()

Waits for an event to occur, processes it, then returns.

This function is useful for adapting Qt to situations where the event processing must be grafted onto existing program loops.

Using this function in new applications may be an indication of design problems.

See also processEvents(), exec(), and QTimer.

### void QCoreApplication::setDefaultCodec ( QTextCodec * codec )

Sets the codec to be used for tr() calls to codec. Use QTextCodec::setCodecForTr() instead.